English Amiga Board


Go Back   English Amiga Board > Support > support.Apps

 
 
Thread Tools
Old 02 September 2014, 11:57   #1
Ian
Global Moderator

Ian's Avatar
 
Join Date: May 2001
Location: Derby, UK
Age: 40
Posts: 2,052
Scalos beta, what am I doing wrong.

So been playing about with winuae lately for the first time in years and have been setting up do hdds and emulated systems without to many problems... Until it came to scalos.

I first installed wb 3.1, then mui 3.8 finally installing scalos as a workbench replacement. Note even with jit enabled this thing is so slow it's got to be some sort of problem.

The settings are the same as my 3.x setups. 68060 with the latest library from aminet that works without any issues. Anyone else run into problems with it? It seems dead anyway, hasn't been updated in years, just felt like having a play with it.
Ian is offline  
AdSense AdSense  
Old 02 September 2014, 12:31   #2
Michael Sykes
WinUAE end user

Michael Sykes's Avatar
 
Join Date: Jan 2014
Location: Bremen
Age: 39
Posts: 639
What did you try?
This one: http://scalos.noname.fr/products/sca...a_41.7_68K.lha ?
Or the latest version from here: http://sourceforge.net/projects/scalos/files/41.8-rc1/ ?

Im running The latest beta for years now(in winuae) and the last thing I have to complain about is speed.
OK, without JIT it is really slow compared to a clean OS3.x install.
But I have to admit I use only png icons.

Heres my UAE config. Maybe it helps.
Attached Files
File Type: uae SCALOS.uae (25.0 KB, 62 views)
Michael Sykes is offline  
Old 02 September 2014, 14:22   #3
Ian
Global Moderator

Ian's Avatar
 
Join Date: May 2001
Location: Derby, UK
Age: 40
Posts: 2,052
The one from the scalos website. I will try the SourceForge one later then see if that improves matters
Ian is offline  
Old 02 September 2014, 21:59   #4
Ian
Global Moderator

Ian's Avatar
 
Join Date: May 2001
Location: Derby, UK
Age: 40
Posts: 2,052
OK, so I've downloaded that one and it doesn't even install. Says there is a file missing the script is expecting.

I will try installing over 3.9 instead of 3.1, some of the files it's looking for just don't exist in 3.1
Ian is offline  
Old 02 September 2014, 22:15   #5
tero
Registered User

tero's Avatar
 
Join Date: Jan 2009
Location: M'Gladbach
Age: 41
Posts: 508
Quote:
Originally Posted by Ian View Post
OK, so I've downloaded that one and it doesn't even install. Says there is a file missing the script is expecting.

I will try installing over 3.9 instead of 3.1, some of the files it's looking for just don't exist in 3.1
i guess the installer is broken, i had that too. I copied this thing with dopus.
My install is a few days ago, and everythings works now. Ask as long as i remember
tero is offline  
Old 03 September 2014, 02:06   #6
Michael Sykes
WinUAE end user

Michael Sykes's Avatar
 
Join Date: Jan 2014
Location: Bremen
Age: 39
Posts: 639
I used OS3.9 as a base to start of,too. I had AfA installed so I'm stuck to PNG icons. For some reason I cant snapshot Newicons anymore with both scalos and afa. But thats fine as long as you dont have 100s of custom game icons in that format for example.
As far as I remember I used the installer from 41.7 on 41.8 because it didn't work here as well. But take a look at the filestructure in the Scalos folder, it's really easy to copy the files by hand. And as allways, snoopdos is your best friend.

At the moment I'v downgraded the main Scalos exec back to 41.7 because for some strange reason I could scale the Icons on the fly now but the thumbnails in image folders where just blank squares... what can I say it's just a BETA. Expect the unexpected.

But all in all it looks good and feels even better!
Attached Thumbnails
Click image for larger version

Name:	145.jpg
Views:	197
Size:	250.4 KB
ID:	41370  
Michael Sykes is offline  
Old 03 September 2014, 02:32   #7
Vot
Registered User

 
Join Date: Aug 2012
Location: Australia
Posts: 646
Its actually good to hear its broken, i tried to make a 3.1 based install and found it horribly broken. I thought id lost my amigafu.
Vot is offline  
Old 03 September 2014, 06:51   #8
gulliver
BoingBagged

 
Join Date: Aug 2007
Location: The South of nowhere
Age: 40
Posts: 1,626
Even in v41.7 I had lots of issues trying to customize its custom menus. It seems its prefs menu app does not edit all of the available Scalos menus. I had to resort to hexediting the menu prefs file.

v41.8 never worked stable enough for me.

It is a pitty, I like Scalos much more than Magellan, in fact, I use it on my main system despite all its shortcomings.
gulliver is offline  
Old 03 September 2014, 10:05   #9
Ian
Global Moderator

Ian's Avatar
 
Join Date: May 2001
Location: Derby, UK
Age: 40
Posts: 2,052
Well I got it to work and colour me unimpressed. Deleted. I may try the older version later if I can find all the updates to it.

I found that the install script looks for files on a scalos: volume/assign that it's suppose to copy itself. So if you edit the script or rename your hdd scalos and copy the folder (icondatatypes or something like that) manually the installer runs through fine (if you select novice mode)
Ian is offline  
Old 17 October 2014, 14:59   #10
jbenam
Italian Amiga Zealot

 
Join Date: Jan 2009
Location: Italy
Age: 30
Posts: 1,229
*bump*

Yesterday I tried installing Scalos Beta on my 3.1 install.

The 41.8 setup just kept exiting with the Installer script error when using Intermediate (didn't try Novice as Ian says, though), while 41.7 installed successfully but it wouldn't work as I'd get a "Couldn't open iconobject.library V39" even if everything was in the correct places.

Same goes with 41.6. After that I just went and installed the stable version, which is way older but at least works.

So the question is, has someone ever managed to get one of the latest Scalos betas to install correctly on 3.1?

Thanks
jbenam is offline  
Old 17 October 2014, 15:26   #11
Michael Sykes
WinUAE end user

Michael Sykes's Avatar
 
Join Date: Jan 2014
Location: Bremen
Age: 39
Posts: 639
Quote:
Originally Posted by jbenam View Post
*bump*

Yesterday I tried installing Scalos Beta on my 3.1 install.

The 41.8 setup just kept exiting ...
..."Couldn't open iconobject.library V39"...
I have working 41.8 install as my everyday system running fine.
I installed Scalos over OS3.9(with AfA patch).
After the same strange trouble with the installer I think I just copied the files myself.
Just look at the Scalos main folder and copy the Datatypes and stuff to the corosponding places in your SYS: partition.
Then copy the salos folder to some place on sys like system or into the root dir and assing scalos: to it(set that assing early in startup-sequence).
Replace loadwb in C: with the one from scalos(rename the old one if somethin fails).
Reboot...
Done

I have tried some other versions of iconobject.library but had the same strage message even if the lib was a later version.
I also had some problems with Scalos 41.8 as my thumbnail preview was just a blank square and the system was overall instable.


So I got stuck with 41.7. No icon scaling (maybe AfA) but I can live with that.

Quote:
Originally Posted by Michael Sykes View Post
what can I say it's just a BETA. Expect the unexpected.
Michael Sykes is offline  
AdSense AdSense  
 


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Thread Tools

Similar Threads
Thread Thread Starter Forum Replies Last Post
Scalos,what is it ??? leytond support.Apps 32 22 March 2009 22:33
New Scalos version is out! Shoonay News 4 16 March 2009 14:59
Scalos 41.1 Frog News 3 27 August 2005 16:55
Scalos Darius support.Apps 8 03 August 2005 12:56
Scalos backdrops Dave_wb support.Apps 6 03 July 2005 16:23

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +2. The time now is 05:22.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.
Page generated in 0.07157 seconds with 14 queries